import { modelOptions, prop, Severity } from '@typegoose/typegoose';
@modelOptions({
  schemaOptions: { collection: 'order' },
  options: { allowMixed: Severity.ALLOW },
})
export class Order {
  @prop()
  customer: string;

  @prop()
  address: string;

  @prop()
  total_detail: object;

  @prop()
  buy_time: string;

  @prop()
  no: string;

  @prop()
  status: string;

  @prop()
  pay: object;

  @prop()
  type: string;

  @prop()
  inviter: string;
}
